using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.SyntheticsReader.ContractDefinition
{
    public partial class PositionUiFees : PositionUiFeesBase { }

    public class PositionUiFeesBase 
    {
        [Parameter("address", "uiFeeReceiver", 1)]
        public virtual string UiFeeReceiver { get; set; }
        [Parameter("uint256", "uiFeeReceiverFactor", 2)]
        public virtual BigInteger UiFeeReceiverFactor { get; set; }
        [Parameter("uint256", "uiFeeAmount", 3)]
        public virtual BigInteger UiFeeAmount { get; set; }
    }
}
